Subject: RE: mboned: draft-ietf-mboned-ipv6-multicast-issues-02.txt

From: "Molina, Angel (Angel)" <[email-masked]>
Date: Fri, 14 Oct 2005 04:14:59 +0200

John,

thanks for the background information. That would allow snooping switch implementors to provide the option not to forward the link-local groups unless learnt by IGMP snooping.

I guess for interoperability purposes it would still seem advisable to be able to forward the link-local groups regardless of the IGMP snooping findings (which would have the drawback of inconditionally forwarding all other 31 groups that are folded into the same L2 address as well). 

Angel

> -----Original Message-----
> From: John Zwiebel [mailto:[email-masked]]
> Sent: Freitag, 14. Oktober 2005 02:25
> To: John Zwiebel
> Cc: Molina, Angel (Angel); Pekka Savola; [email-masked]
> Subject: Re: mboned: draft-ietf-mboned-ipv6-multicast-issues-02.txt
> 
> 
> Sorry, I meant 224.0.0.x and 224.128.0.x are the same MAC address.
> 
> On Oct 13, 2005, at 10:44 AM, John Zwiebel wrote:
> 
> >
> > On Oct 13, 2005, at 12:03 AM, Molina, Angel (Angel) wrote:
> >
> >
> >>
> >> PS: (*) I know that there must be some exceptions to this 
> behavior  
> >> for IPv4 DA 224.0.0.x, as per draft-ietf-magma-snoop-12.txt.
> >>
> >>
> >>
> >
> > FWIW: there had long been a debate whether or not an IP 
> system should
> > send IGMP host reports for link-local groups.  Considering that
> > at L2 one can't tell if the MAC address is for 224.0.0.x or 
> 224.1.0.x
> > (etc.) most IP systems now ensure that an IGMP host report is
> > sent for link-local IPv4 groups to ensure snooping picks up the
> > right forwarding information.
> >
> 
_______________________________________________________________
user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
web archive:  http://darkwing.uoregon.edu/~llynch/mboned/